Bug 12988 - fake_snap.pl uses perl in an insecure way
fake_snap.pl uses perl in an insecure way
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
unspecified
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-25 23:33 UTC by David Disseldorp
Modified: 2017-09-01 09:44 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6.next and 4.7 (2.44 KB, patch)
2017-08-29 11:31 UTC, David Disseldorp
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2017-08-25 23:33:45 UTC
The samba3.rpc.fsrvp tests currently fail on some platforms due to the strict taint mode imput checks that Perl does.

http://perldoc.perl.org/perlsec.html

This is basically a clone of:
https://bugzilla.samba.org/show_bug.cgi?id=12950
Comment 1 David Disseldorp 2017-08-29 11:31:06 UTC
Created attachment 13512 [details]
patch for 4.6.next and 4.7
Comment 2 Jeremy Allison 2017-08-29 16:58:45 UTC
Re-assigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 3 Karolin Seeger 2017-08-30 07:24:10 UTC
Pushed to autobuild-v4-{6,7}-test.
Comment 4 Karolin Seeger 2017-09-01 09:44:39 UTC
Pushed to both branches.
Closing out bug report.

Thanks!